datacache <- new.env(hash=TRUE, parent=emptyenv())

cangene10stcfentrezg <- function() showQCData("cangene10stcfentrezg", datacache)
cangene10stcfentrezg_dbconn <- function() dbconn(datacache)
cangene10stcfentrezg_dbfile <- function() dbfile(datacache)
cangene10stcfentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
cangene10stcfentrezg_dbInfo <- function() dbInfo(datacache)

cangene10stcfentrezgORGANISM <- "Canis familiaris"

.onLoad <- function(libname, pkgname)
{
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "cangene10stcfentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("CANINECHIP_DB", "cangene10stcfentrezg", "chip cangene10stcfentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("cangene10stcfentrezg.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(cangene10stcfentrezg_dbconn())
}

